osl::DirectionTraitsGen< LONG_UL > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const bool | canPromoteTo =true
static const Direction | altDir =LONG_DR
static const Direction | longDir =LONG_UL
static const Direction | primDir =UL
static const int | blackDx =DirectionTraitsGen<UL>::blackDx
static const int | blackDy =DirectionTraitsGen<UL>::blackDy
static const int | ptypeMask

## Detailed Description

Definition at line 135 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< LONG_UL >::altDir =LONG_DR

static

Definition at line 137 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< LONG_UL >::blackDx =DirectionTraitsGen<UL>::blackDx

static

Definition at line 140 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< LONG_UL >::blackDy =DirectionTraitsGen<UL>::blackDy

static

Definition at line 141 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< LONG_UL >::canPromoteTo =true

static

Definition at line 136 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< LONG_UL >::longDir =LONG_UL

static

Definition at line 138 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< LONG_UL >::primDir =UL

static

Definition at line 139 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< LONG_UL >::ptypeMask

static

Initial value:
=
(1<<PBISHOP)|(1<<BISHOP)
osl::BISHOP
@ BISHOP
Definition basic_type.h:99
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91

Definition at line 142 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h